#include <FastLED.h>

#define NUM_LEDS 77
#define DATA_PIN 12
#define CLOCK_PIN 13

CRGB leds[NUM_LEDS];

int afb = 0;
int afbPin = 0;
int bremse = 0;
int brPin = 2;
int zbremse = 0;
int zbrPin = 3;
int fahr = 0;
int fahrPin = 1;

void setup() {
  Keyboard.begin();
  Serial.begin(9600);
  FastLED.addLeds<WS2812B, DATA_PIN, GRB>(leds, NUM_LEDS);
  for (int x = 0; x < NUM_LEDS; x++) leds[x] = CRGB(60, 0, 0);
  FastLED.show();
  delay(5000);
  for (int x = 0; x < NUM_LEDS; x++) leds[x] = CRGB(0, 0, 0);
  leds[0] = CRGB(127,0,0); leds[2] = CRGB(0,127,0); leds[4] = CRGB(0,0,127);
  FastLED.show(); //ccccccccccccccccccccccccccccccaaaaaaaadddddddd
}

void loop() {
  /*for (int x = 0; x < 1; x++) {
  Keyboard.press(';');
  delay(100);
  Keyboard.releaseAll();
  delay(50);
  }*/
  setAFB();
  setFahr();
  setBremse();
  setzBremse();
  delay(10);

}

void setAFB () {
  int newAFB = map(analogRead(afbPin), 120, 920, 0, 30);

  if (newAFB > afb) for (int x = afb; x < newAFB; x++){
    Keyboard.press('z');
    delay(50);
    Keyboard.releaseAll();
    //delay(50);
  int y = map(newAFB, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x] = CRGB(0, 60, 0);
  for (int x = y; x < 20; x++) leds[x] = CRGB(50,0,0);
  FastLED.show(); //

  }
  if (newAFB < afb) for (int x = newAFB; x < afb; x++){
    Keyboard.press('c');
    delay(50);
    Keyboard.releaseAll();
    //delay(50);
      int y = map(newAFB, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x] = CRGB(0, 60, 0);
  for (int x = y; x < 20; x++) leds[x] = CRGB(50,0,0);
  FastLED.show(); //

  }
  afb = newAFB;
}

void setFahr () {
  int newfahr = map(analogRead(fahrPin), 0, 880, 0, 30);
 /* int y = map(newfahr, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x+22] = CRGB(0, 60, 0);
  for (int x = y; x < 20; x++) leds[x+22] = CRGB(0,0,60);
  FastLED.show(); */

  if (newfahr > fahr) for (int x = fahr; x < newfahr; x++){
    Keyboard.press('a');
    delay(50);
    Keyboard.releaseAll();
    //delay(50);
  int y = map(newfahr, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x+22] = CRGB(0, 60, 0);
  for (int x = y; x < 20; x++) leds[x+22] = CRGB(50,0,0);
  FastLED.show(); //
  }
  if (newfahr < fahr) for (int x = newfahr; x < fahr; x++){
    Keyboard.press('d');
    delay(50);
    Keyboard.releaseAll();
    //delay(50);
     int y = map(newfahr, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x+22] = CRGB(0, 60, 0);
  for (int x = y; x < 20; x++) leds[x+22] = CRGB(50,0,0);
  FastLED.show(); //

  }
  fahr = newfahr;
}

void setBremse () {
  int newBremse = map(analogRead(brPin), 42, 900, 30, 0);
  //Serial.println(newBremse);
  if (newBremse > bremse) for (int x = bremse; x < newBremse; x++){
    Keyboard.press(';');
    delay(100);
    Keyboard.releaseAll();
    delay(50);
    if (bremse < 1) {
      Keyboard.press(';');
      delay(300);
      Keyboard.releaseAll();
    }
         int y = map(newBremse, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x+44] = CRGB(60, 0, 0);
  for (int x = y; x < 20; x++) leds[x+44] = CRGB(0,60 , 0);
  FastLED.show(); //

  }
  if (newBremse < bremse) for (int x = newBremse; x < bremse; x++){
    Keyboard.press('[');
    delay(100);
    Keyboard.releaseAll();
    delay(50);
         int y = map(newBremse, 0, 30, 0, 19);
  for (int x = 0; x <= y; x++) leds[x+44] = CRGB(60, 0, 0);
  for (int x = y; x < 20; x++) leds[x+44] = CRGB(0,60,0);
  FastLED.show(); //

  }
  bremse = newBremse;
}

void setzBremse () {
  int newzBremse = map(analogRead(zbrPin), 89, 987, 0, 10);
  //Serial.println(zbremse-newzBremse);
  //if (-6 < newAFB < 6) return;
  if (newzBremse > zbremse) for (int x = zbremse; x < newzBremse; x++){
    Keyboard.press('=');
    delay(100);
    Keyboard.releaseAll();
    delay(50);
    if (zbremse == 0) for (int y = 0; y < 4; y++) {
      Keyboard.press('=');
      delay(100);
      Keyboard.releaseAll();
      delay(100);
    }
  }
  if (newzBremse < zbremse) for (int x = newzBremse; x < zbremse; x++){
    Keyboard.press('-');
    delay(100);
    Keyboard.releaseAll();
    delay(100);
    if (newzBremse == 0) for (int y = 0; y < 4; y++) {
      Keyboard.press('-');
      delay(100);
      Keyboard.releaseAll();
      delay(100);
    }

  }
  zbremse = newzBremse;
}

//a


